org.eclipse.january.dataset

## Class Operations.UseBase

- java.lang.Object
- - org.eclipse.january.dataset.Operations.UseBase

- All Implemented Interfaces:
    BinaryOperation, IOperation
  Direct Known Subclasses:
    Operations.UseIfEqualTo, Operations.UseIfGreaterThan, Operations.UseIfGreaterThanOrEqualTo, Operations.UseIfLessThan, Operations.UseIfLessThanOrEqualTo
  Enclosing class:
    Operations

      public static class Operations.UseBase
      extends Object
      implements BinaryOperation

  Use given value if `a > b` else use a

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.january.dataset.BinaryOperation

      `BinaryOperation.Stub`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `br`
    `protected double` | `dr`
    `protected long` | `lr`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `booleanOperate(long a, long b)`
    `void` | `complexOperate(double[] out, double ra, double ia, double rb, double ib)`
    `double` | `doubleOperate(double a, double b)`
    `long` | `longOperate(long a, long b)`
    `String` | `toString(String a, String b)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### br

          protected boolean br

    - #### lr

          protected long lr

    - #### dr

          protected double dr

  - ### Method Detail

    - #### booleanOperate

          public boolean booleanOperate(long a,
                                        long b)

      Specified by:
        `booleanOperate` in interface `BinaryOperation`
      Returns:
        a op b

    - #### longOperate

          public long longOperate(long a,
                                  long b)

      Specified by:
        `longOperate` in interface `BinaryOperation`
      Returns:
        a op b

    - #### doubleOperate

          public double doubleOperate(double a,
                                      double b)

      Specified by:
        `doubleOperate` in interface `BinaryOperation`
      Returns:
        a op b

    - #### complexOperate

          public void complexOperate(double[] out,
                                     double ra,
                                     double ia,
                                     double rb,
                                     double ib)

      Specified by:
        `complexOperate` in interface `BinaryOperation`
      Parameters:
        `out` - holds (ra, ia) op (rb, ib)

    - #### toString

          public String toString(String a,
                                 String b)

      Specified by:
        `toString` in interface `BinaryOperation`
      Returns:
        string to represent output

Copyright © 2014–2019 Eclipse Foundation. All rights reserved.